---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: otter-grader
  annotations:
    cert-manager.io/cluster-issuer: "letsencrypt-production"
    alias-managed: "true"
    kubernetes.io/ingress.class: nginx

spec:
  rules:
    - host: otter-grader-test.let.ethz.ch
      http:
        paths:
          - backend:
              service:
                name: otter-server
                port:
                  number: 8000
            pathType: Prefix
            path: /
  tls:
    - hosts:
        - otter-grader-test.let.ethz.ch
      secretName: otter-grader-ssl-cert
